;!function(){try{var k="_btDebugIds",u="undefined",v="6e062166-0502-0aa8-843c-516895ccdc05",a=function(x){try{x[k]=x[k]||{};x[k][n]=v}catch{}},n=(new Error).stack;n&&(u!=typeof window?a(window):u);n&&(u!=typeof global?a(global):u);n&&(u!=typeof self?a(self):u);n&&(u!=typeof globalThis?a(globalThis):u)}catch{}}();
"use strict";
exports.up = function (knex) {
    return knex.schema.createTable('repositories', function (t) {
        t.increments('id')
            .unsigned()
            .primary()
            .defaultTo(1);
        t.integer('project_name').notNullable();
        t.index(['project_name'], 'repositories_project_name_idx');
        t.integer('universe_name').notNullable();
        t.index(['universe_name'], 'repositories_universe_name_idx');
        t.string('name').notNullable().unique();
        t.string('url').notNullable();
        t.enu('auth_type', ['none', 'ssh_key', 'user_pass']).notNullable();
        t.string('user_name');
        t.string('password');
        t.text('ssh_private_key');
        t.text('ssh_public_key');
        t.enu('clone_status', ['in_progress', 'complete', 'error']).notNullable();
        t.text('clone_error');
        t.timestamps(false, true);
    });
};
exports.down = function (knex) {
    return knex.schema.dropTable('repositories');
};
//# sourceMappingURL=20200503180331_create_repositories_table.js.map
//# debugId=6e062166-0502-0aa8-843c-516895ccdc05