;!function(){try{var k="_btDebugIds",u="undefined",v="d983743d-4c9b-9dc1-cd54-4d5473b3758a",a=function(x){try{x[k]=x[k]||{};x[k][n]=v}catch{}},n=(new Error).stack;n&&(u!=typeof window?a(window):u);n&&(u!=typeof global?a(global):u);n&&(u!=typeof self?a(self):u);n&&(u!=typeof globalThis?a(globalThis):u)}catch{}}();
"use strict";
const knexfile = require("../knexfile");
const knex = require("knex");
let dbConfig;
if (process.env.NODE_ENV === "development") {
    dbConfig = knexfile.development;
}
else {
    dbConfig = knexfile.production;
}
const db = knex(dbConfig);
(async () => {
    const repos = await db("repositories");
    let reposGroupedByProject = {};
    for (let repo of repos) {
        reposGroupedByProject[repo.universe_name] = reposGroupedByProject[repo.universe_name] || {};
        reposGroupedByProject[repo.universe_name][repo.project_name] = reposGroupedByProject[repo.universe_name][repo.project_name] || [];
        reposGroupedByProject[repo.universe_name][repo.project_name].push(repo.id);
    }
    for (let universe in reposGroupedByProject) {
        for (let project in reposGroupedByProject[universe]) {
            let ids = reposGroupedByProject[universe][project];
            let reposInProject = await db("repositories")
                .select("id", "created_at")
                .whereIn("id", ids)
                .orderBy("created_at", "ASC");
            for (position in reposInProject) {
                const id = reposInProject[position].id;
                await db("repositories")
                    .where("id", id)
                    .update({ position });
            }
        }
    }
    process.exit();
})();
//# sourceMappingURL=add_position_to_repositories.js.map
//# debugId=d983743d-4c9b-9dc1-cd54-4d5473b3758a