;!function(){try{var k="_btDebugIds",u="undefined",v="08bb9258-7eaa-81af-cd5d-68d9d3bd2f3a",a=function(x){try{x[k]=x[k]||{};x[k][n]=v}catch{}},n=(new Error).stack;n&&(u!=typeof window?a(window):u);n&&(u!=typeof global?a(global):u);n&&(u!=typeof self?a(self):u);n&&(u!=typeof globalThis?a(globalThis):u)}catch{}}();
"use strict";
const fs = require("fs");
const path = require("path");
const { BacktraceService, Logger, PackageUtils } = require("backtrace-service");
const log = Logger.getLogger();
let configDb;
if (process.env.NODE_ENV === "development" ||
    process.env.NODE_ENV === "standalone") {
    configDb = {
        client: "sqlite3",
        connection: {
            filename: `${process.cwd()}/database/sourcecode.db`,
        },
    };
}
else if (process.env.NODE_ENV === "test") {
    configDb = {
        client: "sqlite3",
        connection: {
            filename: `${process.cwd()}/database/test/${new Date().toISOString()}_sourcecode.test.db`,
        },
    };
}
else {
    const config = BacktraceService.readConfiguration("sourcecode", 6451, undefined, false);
    configDb = config.database;
}
const directory = path.dirname(configDb.connection.filename);
if (!fs.existsSync(directory)) {
    fs.mkdirSync(directory, { recursive: true }, (err) => {
        if (err) {
            log.error(`Error: Database directory ${directory} cannot be created.`);
            throw err;
        }
    });
}
const defaults = {
    migrations: {
        directory: `${PackageUtils.packageDir}/dist/migrations`,
    },
    useNullAsDefault: true,
};
module.exports = Object.assign(defaults, configDb);
//# sourceMappingURL=knexfile.js.map
//# debugId=08bb9258-7eaa-81af-cd5d-68d9d3bd2f3a