;!function(){try{var k="_btDebugIds",u="undefined",v="d0352d01-d909-0e99-5def-87ad6b5c9ba8",a=function(x){try{x[k]=x[k]||{};x[k][n]=v}catch{}},n=(new Error).stack;n&&(u!=typeof window?a(window):u);n&&(u!=typeof global?a(global):u);n&&(u!=typeof self?a(self):u);n&&(u!=typeof globalThis?a(globalThis):u)}catch{}}();
"use strict";
const fs = require("fs");
const path = require("path");
const { Logger, PackageUtils } = require("backtrace-service");
const log = Logger.getLogger();
let configDb;
if (process.env.NODE_ENV === "development") {
    configDb = {
        client: "sqlite3",
        connection: {
            filename: `${process.cwd()}/database/sourcecode_cachedb.dev.db`,
        },
    };
}
else if (process.env.NODE_ENV === "test") {
    configDb = {
        client: "sqlite3",
        connection: {
            filename: `${process.cwd()}/database/test/${new Date().toISOString()}_sourcecode_cachedb.test.db`,
        },
    };
}
else {
    configDb = {
        client: "sqlite3",
        connection: {
            filename: `${path.dirname(process.execPath)}/database/sourcecode_cachedb.db`,
        },
    };
}
const directory = path.dirname(configDb.connection.filename);
if (!fs.existsSync(directory)) {
    fs.mkdirSync(directory, { recursive: true }, (err) => {
        if (err) {
            log.error(`Error: Database directory ${directory} cannot be created.`);
            throw err;
        }
    });
}
const defaults = {
    migrations: {
        directory: `${PackageUtils.packageDir}/dist/migrations_cachedb`,
    },
    useNullAsDefault: true,
};
module.exports = Object.assign(defaults, configDb);
//# sourceMappingURL=knexfile_cachedb.js.map
//# debugId=d0352d01-d909-0e99-5def-87ad6b5c9ba8