;!function(){try{var k="_btDebugIds",u="undefined",v="900e3a0d-3f1d-1c56-4cea-510cb2d54fbe",a=function(x){try{x[k]=x[k]||{};x[k][n]=v}catch{}},n=(new Error).stack;n&&(u!=typeof window?a(window):u);n&&(u!=typeof global?a(global):u);n&&(u!=typeof self?a(self):u);n&&(u!=typeof globalThis?a(globalThis):u)}catch{}}();
"use strict";
exports.up = function (knex) {
    return knex.schema.createTable('rules', function (t) {
        t.increments('id')
            .unsigned()
            .primary()
            .defaultTo(1);
        t.string('project_name').notNullable();
        t.index(['project_name'], 'rules_project_name_idx');
        t.string('universe_name').notNullable();
        t.index(['universe_name'], 'rules_universe_name_idx');
        t.integer('position').unsigned().notNullable();
        t.integer('matching_repository_id').unsigned().notNullable();
        t.foreign('matching_repository_id').references('id').inTable('repositories');
        t.enu('field_type', ['file_name', 'function_name', 'object_name', 'attribute']).notNullable();
        t.string('field_name').notNullable();
        t.string('regex').notNullable();
        t.timestamps(false, true);
    });
};
exports.down = function (knex) {
    return knex.schema.dropTable('rules');
};
//# sourceMappingURL=20200514165753_create_rules_table.js.map
//# debugId=900e3a0d-3f1d-1c56-4cea-510cb2d54fbe