/* This migration goes with tasks/copy_name_to_name2.js
 * It creates a new column name2 with proper uniqueness constraints,
 * into which we will copy the contents of the existing name column.
 * After that, we will then delete the original name column and rename
 * name2 to name.
 */
exports.up = function(knex) {
  return knex.schema.renameTable('repositories', 'repositories_old')
};

exports.down = function(knex) {
  return knex.schema.renameTable('repositories_old', 'repositories')
};
